## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-dtoc
Version:        0.0.6
Release:        %autorelease
Summary:        Devicetree-to-C generator

License:        GPL-2.0-or-later
URL:            https://docs.u-boot.org/en/latest/develop/driver-model/of-plat.html
Source:         %{pypi_source dtoc}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
This is a Python program and associated utilities, which supports converting
devicetree files into C code. It generates header files containing struct
definitions, as well as C files containing the data. It does not require any
modification of the devicetree files.}

%description %_description

%package -n     python3-dtoc
Summary:        %{summary}

%description -n python3-dtoc %_description

%prep
%autosetup -p1 -n dtoc-%{version}

# Fix dependency name
sed -i 's:pylibfdt:libfdt:' pyproject.toml

# Remove unnecessary shebangs
sed -i src/dtoc/*.py \
  -e "\|#!/usr/bin/env python3|d" \
  -e "\|#!/usr/bin/python|d"

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dtoc

%check
%pyproject_check_import -e dtoc.setup

%files -n python3-dtoc -f %{pyproject_files}
%doc README.rst
%{_bindir}/dtoc

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.6-1
- Initial import; Fixes: RHBZ#2316562
## END: Generated by rpmautospec
